#import "Controller.h"


@implementation Controller

- (void) applicationDidFinishLaunching: (NSNotification *)notif
{
	NSLog(@"App launched %@ with view %@", notif, view);

	NS_DURING

	NSData *data = [NSArchiver archivedDataWithRootObject: view];
	NSLog(@"Try archiving: %@", data);
	NSLog(@"Try unarchiving: %@", [NSUnarchiver unarchiveObjectWithData: data]);

	data = [NSKeyedArchiver archivedDataWithRootObject: [[NSScrollView alloc] initWithFrame: [view frame]]];
	NSLog(@"Try keyed archiving: %@", data);
	NSLog(@"Try keyed unarchiving: %@", [NSKeyedUnarchiver unarchiveObjectWithData: data]);

	NS_HANDLER

	NSLog(@"Raised exception: %@", localException);

	NS_ENDHANDLER
}

@end
